# DefaultTask

API Documentation: | `DefaultTask`

Known Subtypes: |
`DependencyInsightReportTask` | `JacocoBase` | `AbstractNativeCompileTask`
`ComponentReport` | `PublishToIvyRepository` | `SwiftCompile`
`DependentComponentsReport` | `AbstractPublishToMaven` | `AbstractLinkTask`
`ModelReport` | `InitBuild` | `CreateStaticLibrary`
`BuildEnvironmentReportTask` | `Sign` | `InstallExecutable`
`GenerateIvyDescriptor` | `TestReport` | `InstallXCTestBundle`
`GenerateMavenPom` | `Wrapper` | `Assemble`
`GenerateBuildDashboard` | `WriteProperties` | `WindowsResourceCompile`

`DefaultTask` is the standard `Task` implementation. You can extend this to implement your own task types.

### Properties

No properties

### Methods

No methods

### Script blocks

No script blocks